package cn.yw.machinemanage.dao;
import java.sql.SQLException;
import java.util.List;
import java.util.Map;

import javax.annotation.PostConstruct;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.ibatis.support.SqlMapClientDaoSupport;
import org.springframework.stereotype.Repository;

import com.ibatis.sqlmap.client.SqlMapClient;

import cn.base.dao.BaseSqlMapDAO;

@Repository("ywmachinecpuDao")
public class YwmachinecpuDao  extends BaseSqlMapDAO{
	

	/**
	 * 增加记录
	 */
	
	public void insert_Ywmachinecpu(Map map) throws SQLException{
		this.insert("insert_Ywmachinecpu",map);
	}
	
	
	/**
	 * 批处理增加记录
	 */
	/*
	public void batch_insert_Ywmachinecpu(List batch) throws SQLException{
		this.insert("batch_insert_Ywmachinecpu",batch);
	}
	*/
	 
	/**
	 * 修改记录
	 */
	
	public Integer update_Ywmachinecpu(Map map) throws SQLException{
		return this.update("update_Ywmachinecpu",map);
	}
	
	
	/**
	 * 删除记录
	 */
	
	public Integer delete_Ywmachinecpu(Map map) throws SQLException{
		return this.delete("delete_Ywmachinecpu",map);
	}
	
	
	/**
	 * 批处理删除记录
	 */
	
	
	public Integer batch_delete_Ywmachinecpu(Map map) throws SQLException{
		return this.delete("batch_delete_Ywmachinecpu",map);
	}
	
	
	/**
	 * 查询总数
	 */
	
	public Integer count_Ywmachinecpu(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_Ywmachinecpu",map);
	}
	
	
	/**
	 * 查询列表记录
	 */
	
	
	public List<Map> query_Ywmachinecpu(Map map) throws SQLException{
		return this.queryForPage("query_Ywmachinecpu",map);
	}
	
	
	/**
	 * 查询列表记录
	 */
	
	public Map get_Ywmachinecpu(Map map) throws SQLException{
		return (Map) this.queryForObject("query_Ywmachinecpu",map);
	}
	
	// 更新
	public Integer edit_Ywmachinecpu(Map map) throws SQLException{
		return this.update("edit_Ywmachinecpu",map);
	}
}
